Debian Bug report logs - #689620
findutils: autoconf update for arm64 building

version graph

Package: findutils; Maintainer for findutils is Andreas Metzler <ametzler@debian.org>; Source for findutils is src:findutils.

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 4 Oct 2012 15:15:01 UTC

Severity: wishlist

Tags: patch, upstream

Found in version 4.4.2

Fixed in version findutils/4.4.2-5

Done: Andreas Metzler <ametzler@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jay@gnu.org, Andreas Metzler <ametzler@debian.org>:
Bug#689620; Package findutils. (Thu, 04 Oct 2012 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to jay@gnu.org, Andreas Metzler <ametzler@debian.org>. (Thu, 04 Oct 2012 15:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: findutils: autoconf update for arm64 building
Date: Thu, 04 Oct 2012 16:13:06 +0100
[Message part 1 (text/plain, inline)]
Package: findutils
Version: 4.4.2
Severity: wishlist
Tags: upstream patch

This package needs autoconf updates (to config.guess and config.sub)
to build for 64-bit arm. The arm64 port is stalled until this package
is updated.
                                                                                                                                                         
Support for aarch64 has been added to autotools config.guess and
config.sub in autotools 20120210.1

For upstream running autoreconf against autotools-dev 20120210.1 or
later will fix the autoconf part.

For the Debian package, if you wanted to keep this up to date
automatically in the future (generally a good idea) then adding
something like this to your distclean target would be effective: -test
-r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub
config.sub -test -r /usr/share/misc/config.guess && cp -f
/usr/share/misc/config.guess config.guess (You could instead just make
those files links.) along with a build-dependency on autotools-dev
 
Please pass this bug report to upstream (I hope I have CC:ed the right
person in this report)

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages findutils depends on:
ii  dpkg                      1.15.8.13      Debian package management system
ii  install-info              4.13a.dfsg.1-6 Manage installed documentation in 
ii  libc6                     2.11.3-4       Embedded GNU C Library: Shared lib

findutils recommends no packages.

Versions of packages findutils suggests:
ii  locate                        4.4.2-1+b1 maintain and query an index of a d

-- no debconf information
[findutils-4.4.2-autoconfupdate.patch (text/x-diff, attachment)]

Reply sent to Andreas Metzler <ametzler@debian.org>:
You have taken responsibility. (Thu, 04 Oct 2012 17:51:06 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Thu, 04 Oct 2012 17:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 689620-close@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@debian.org>
To: 689620-close@bugs.debian.org
Subject: Bug#689620: fixed in findutils 4.4.2-5
Date: Thu, 04 Oct 2012 17:47:31 +0000
Source: findutils
Source-Version: 4.4.2-5

We believe that the bug you reported is fixed in the latest version of
findutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689620@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Metzler <ametzler@debian.org> (supplier of updated findutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Thu, 04 Oct 2012 19:16:52 +0200
Source: findutils
Binary: findutils locate
Architecture: source i386
Version: 4.4.2-5
Distribution: unstable
Urgency: low
Maintainer: Andreas Metzler <ametzler@debian.org>
Changed-By: Andreas Metzler <ametzler@debian.org>
Description: 
 findutils  - utilities for finding files--find, xargs
 locate     - maintain and query an index of a directory tree
Closes: 689620
Changes: 
 findutils (4.4.2-5) unstable; urgency=low
 .
   * Fix config.(sub|guess) update, the relevant files are in build-aux/.
     Closes: #689620
   * Add build-arch/build-indep targets.
Checksums-Sha1: 
 eaf666732caf03a721ad360eefa4acda80b7a6ff 1330 findutils_4.4.2-5.dsc
 68142e3cab26b98f27db88176cfe237d1419bff7 22357 findutils_4.4.2-5.debian.tar.gz
 27a246af7edd871983d79be27255373339ffdb9d 623954 findutils_4.4.2-5_i386.deb
 3e252359089456f6a2716ff927c28675fee4feb2 156052 locate_4.4.2-5_i386.deb
Checksums-Sha256: 
 de70c77f742314f67eb7dadb8b0674e65a9393c9561473fd13320ac1acfce396 1330 findutils_4.4.2-5.dsc
 76bc8d850a8d9bbe34811eb359ec1725fa51cccd6773486e4b2dccb0effe4872 22357 findutils_4.4.2-5.debian.tar.gz
 c18edaf7b74c8bb63a58d8b23ec1ee64118933ab786966ccae450eb3d1776664 623954 findutils_4.4.2-5_i386.deb
 6c2f7ba25272c357eda9ff97f24b678acafb5d0c0c27e956b41f7089c0f87861 156052 locate_4.4.2-5_i386.deb
Files: 
 0b9937ca8fedd22566c424e96d0d576b 1330 utils required findutils_4.4.2-5.dsc
 03a4573947f28a3522b264d74caa4c52 22357 utils required findutils_4.4.2-5.debian.tar.gz
 7c79336f18ead6886c14f8ef867fd5c4 623954 utils required findutils_4.4.2-5_i386.deb
 826f62c62b7c09583e5304bdaa958164 156052 utils optional locate_4.4.2-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAlBtyGMACgkQHTOcZYuNdmNdCgCeK9z1k2up+E3nPyMD7B5iGVn/
Fg4An3JTmc1Q8I2ZNNDeQrR+BW9R8vtZ
=lRNW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Nov 2012 07:25:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:00:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.